//
//  MyViewController.m
//  N5SplitViewController
//
//  Created by Julien Vignali on 20.12.11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "MyViewController.h"

@interface MyViewController()
{
    @private
    UILabel* _label;
}
-(void)setup;
@end

@implementation MyViewController
@synthesize titleLabel = _titleLabel;

-(id)init
{
    self = [super init];
    if (self) {
        [self setup];
    }
    return self;
}

-(void)setTitleLabel:(NSString *)titleLabel
{
    _label.text = titleLabel;
    _label.frame = CGRectMake(0, 0, [titleLabel sizeWithFont:_label.font].width, [titleLabel sizeWithFont:_label.font].height);
    self.view.backgroundColor = (titleLabel == @"TOP") ? [UIColor grayColor] : [UIColor lightGrayColor];
}

-(void)setup
{
    _label = [[[UILabel alloc] init] retain];
    _label.backgroundColor = [UIColor clearColor];
    _label.font = [UIFont fontWithName:@"Helvetica-Bold" size:20];
    _label.textColor = [UIColor whiteColor];
    [self.view addSubview:_label];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

-(void)dealloc
{
    [_label release];
    [super dealloc];
}

@end
